% order the data (according to ordered-pair-wise correlation)
% inputs
firstvar = 1; 
[T,N] = size(xdata);

%% obtain sorting index
tempindx  = (1:1:N)'; %original index
tempxdata = xdata;

sortindx = zeros(N,1);
sortcorr = zeros(N,1);

% first iteration
selvar           = firstvar;
sortindx(1,1)    = selvar; 
sortcorr(1,1)    = nan;

lastx = tempxdata(:,selvar);
tempindx(selvar) = []; %delete 
tempxdata(:,selvar) = []; %delete

% loop over i
for i=2:1:N
    
    % highest correlated series with previously selected data
    tempcorr = corr(lastx, tempxdata); %obtain corr between last selected var with rest of x
    [c,ind] = max(abs(tempcorr));
    sortindx(i,:) = tempindx(ind);
    sortcorr(i,:) = c;
    
    % update matrices
    selvar = ind;
    lastx  = tempxdata(:,ind);
    tempindx(selvar)    = []; %delete 
    tempxdata(:,selvar) = []; %delete

end

%% Now sort data using sorting index
xcatcode      = xcatcode(sortindx);
xdata         = xdata(:,sortindx);
xdata_dem     = xdata_dem(:,sortindx);
xdata_std     = xdata_std(:,sortindx);
xdata_uf      = xdata_uf(:,sortindx);
xdata_uf_dem  = xdata_uf_dem(:,sortindx);
xdata_uf_std  = xdata_uf_std(:,sortindx);
xname         = xname(sortindx);





