function R2 = gen_empR2(X)
%% -------------------------------------------------------------------------
% Preliminary Setting
% -------------------------------------------------------------------------
% load('SW_xdata_ver02.mat');
% opt.d = 2; %1: xdata_std, 2: xdata_uf_std (unfiltered)
% if opt.d == 1
%     data = xdata_std'; %N by T form
% elseif opt.d == 2
%     data = xdata_uf_std'; 
% end
% 
% X= data;
% X= X(:,1:273);
% %X= X(:,274:end);

X= standardBN(X);
[N,Tx]=size(X);
k=5;
[f0,eig,f00] = svd(X'*X);
F_til       = f0(:,1:k);
R2=zeros(N,1);
for i=1:N
    y=X(i,:)';
    beta = F_til'*y;
    yhat=F_til*beta;
    R2(i) = mean(yhat'*yhat)/mean(y'*y);
end
